export class MediaInfo {
    constructor() {
        this.mVideoId = "";
        this.mTitle = "";
        this.mDuration = 0;
        this.mStatus = "";
        this.mCoverUrl = "";
        this.mMediaType = "";
        this.mTransCodeMode = "FastTranscode";
        this.mTotalBitrate = 0;
        this.mTrackInfos = [];
        this.mThumbnailList = [];
        this.nativeGetVideoId = () => {
            return this.mVideoId;
        };
        this.nativeSetVideoId = (a24) => {
            this.mVideoId = a24;
        };
        this.nativeGetTitle = () => {
            return this.mTitle;
        };
        this.nativeSetTitle = (z23) => {
            this.mTitle = z23;
        };
        this.nativeGetDuration = () => {
            return this.mDuration;
        };
        this.nativeSetDuration = (y23) => {
            this.mDuration = y23;
        };
        this.nativeGetStatus = () => {
            return this.mStatus;
        };
        this.nativeSetStatus = (x23) => {
            this.mStatus = x23;
        };
        this.nativeGetCoverUrl = () => {
            return this.mCoverUrl;
        };
        this.nativeSetCoverUrl = (w23) => {
            this.mCoverUrl = w23;
        };
        this.nativeGetMediaType = () => {
            return this.mMediaType;
        };
        this.nativeSetMediaType = (v23) => {
            this.mMediaType = v23;
        };
        this.nativeGetTransCodeMode = () => {
            return this.mTransCodeMode;
        };
        this.nativeSetTransCodeMode = (u23) => {
            this.mTransCodeMode = u23;
        };
        this.nativeGetTotalBitrate = () => {
            return this.mTotalBitrate;
        };
        this.nativeSetTotalBitrate = (t23) => {
            this.mTotalBitrate = t23;
        };
        this.nativeSetTrackInfos = (s23) => {
            if (s23 != null && s23.length > 0) {
                this.mTrackInfos = this.mTrackInfos.concat(s23);
            }
        };
        this.nativeSetThumbnailList = (r23) => {
            if (r23 != null && r23.length > 0) {
                this.mThumbnailList = this.mThumbnailList.concat(r23);
            }
        };
    }
    getTitle() {
        return this.nativeGetTitle();
    }
    getDuration() {
        return this.nativeGetDuration();
    }
    setDuration(y22) {
        this.nativeSetDuration(y22);
    }
    getStatus() {
        return this.nativeGetStatus();
    }
    getVideoId() {
        return this.nativeGetVideoId();
    }
    getCoverUrl() {
        return this.nativeGetCoverUrl();
    }
    getMediaType() {
        return this.nativeGetMediaType();
    }
    getTransCodeMode() {
        return this.nativeGetTransCodeMode();
    }
    getTotalBitrate() {
        return this.nativeGetTotalBitrate();
    }
    getTrackInfos() {
        return this.mTrackInfos;
    }
    getThumbnailList() {
        return this.mThumbnailList;
    }
}
